<%--
/*
 * Copyright 2002-2004 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 *
 * ident	"@(#)DeviceGroupStatus.jsp	1.3	04/06/10 SMI"
 */
--%>

<%@page info="DeviceGroupStatus" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_cluster_spm/spm.tld" prefix="spm"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<!-- Set the viewbean -->
<jato:useViewBean className=
                  "com.sun.cluster.spm.devicegroup.DeviceGroupStatusViewBean">

<spm:header pageTitle="devicegroup.title" 
           copyrightYear="2003" 
           baseName="com.sun.cluster.spm.resources.Resources" 
           bundleID="scBundle" onLoad="reloadTree()"
           event="ESC_cluster_dcs_primaries_changing,ESC_cluster_dcs_config_change,ESC_cluster_dcs_state_change,ESC_cluster_cofig_change">

<jato:form name="scForm" method="post">

<!-- Hidden Field for the tree -->
<cc:hidden name="TreeNodeHiddenField"/>

<!-- Navigation Tabs -->
<cc:tabs name="GenericTabs" bundleID="scBundle" />

<!-- Set the layout style -->

<!-- Status Alert</div>t -->
<spm:alertinline name="CommandResultAlert" bundleID="scBundle" />
<spm:alertinline name="StatusAlert" bundleID="testBundle" />

<cc:pagetitle name="GenericPageTitle" bundleID="scBundle"
              pageTitleText="devicegroup.status.pageTitle.title"
              showPageTitleSeparator="true"
              pageTitleHelpMessage="devicegroup.status.pageTitle.help"/>

<!-- Button -->
<spm:rbac auths="solaris.cluster.device.modify">
<BR>
<div class="ConMgn">
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td>
      <cc:wizardwindow name="AddStorageWizard" bundleID="scBundle"/>
    </td>
  </tr>
</table>
</div>

<div><img src="/com_sun_web_ui/images/other/dot.gif"
		  width="1" height="10" alt=""></div>
</spm:rbac>

<div><img src="/com_sun_web_ui/images/other/dot.gif"
          width="1" height="10" alt=""></div>

<jato:containerView name="StatusTableView">

<jsp:include page="DeviceGroupTablePagelet.jsp"/>


</jato:containerView>

</cc:pageTitle>

</jato:form>
</spm:header>
</jato:useViewBean>
